## org.eclipse.datatools.sqltools.sqlbuilder.views.select
Class GroupByContentViewer

    java.lang.Object
      org.eclipse.jface.viewers.Viewer
          org.eclipse.jface.viewers.ContentViewer
              org.eclipse.datatools.sqltools.sqlbuilder.views.select.GroupByContentViewer

All Implemented Interfaces:
  org.eclipse.jface.viewers.IInputProvider, org.eclipse.jface.viewers.IInputSelectionProvider, org.eclipse.jface.viewers.ISelectionProvider

    public class GroupByContentViewer

extends org.eclipse.jface.viewers.ContentViewer

Nested Class Summary
`class` `GroupByContentViewer.GroupByContentHolder` GroupByContentHolder contains the base list of grouping Expression
`class` `GroupByContentViewer.GroupByExpressionContentProvider`
`class` `GroupByContentViewer.GroupByExpressionModifier`
`class` `GroupByContentViewer.GroupExpressionListGridViewer`
`class` `GroupByContentViewer.GroupingSetContentHolder` GroupingSetContentHolder
`class` `GroupByContentViewer.GroupingSetGroupContentHolder` GroupingSetGroupContentHolder
`class` `GroupByContentViewer.Holder`
`class` `GroupByContentViewer.SuperGroupExpressionHolder` SuperGroupExpressionHolder
`class` `GroupByContentViewer.SuperGroupExpressionSublistHolder` SuperGroupExpressionSublistHolder

Constructor Summary
`GroupByContentViewer(SQLDomainModel model)`

Method Summary
`java.lang.String` `convertForDisplay(java.lang.String label, org.eclipse.emf.ecore.EObject item)`
`org.eclipse.swt.widgets.Control` `createControl(org.eclipse.swt.widgets.Composite parent)`
`org.eclipse.swt.widgets.Control` `getControl()`
`java.util.Vector` `getGroupByContentList()`
`org.eclipse.jface.viewers.ISelection` `getSelection()`
`void` `refresh()`
`void` `refreshListBox()`
`void` `replaceType(java.lang.String type)`
`void` `setEnabled(boolean enable)`
`void` `setInput(java.lang.Object input)`
`void` `setSelection(org.eclipse.jface.viewers.ISelection selection, boolean reveal)`
`QueryValueExpression` `showExpressionBuilder(java.lang.Object obj, boolean isColumn, java.lang.String action)`
`void` `updateTypeCombo()`

Methods inherited from class org.eclipse.jface.viewers.ContentViewer
`getContentProvider, getInput, getLabelProvider, setContentProvider, setLabelProvider`

Methods inherited from class org.eclipse.jface.viewers.Viewer
`addHelpListener, addSelectionChangedListener, getData, removeHelpListener, removeSelectionChangedListener, scrollDown, scrollUp, setData, setSelection`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GroupByContentViewer

    public GroupByContentViewer(SQLDomainModel model)

Method Detail

### setInput

    public void setInput(java.lang.Object input)

  Overrides:
    `setInput` in class `org.eclipse.jface.viewers.ContentViewer`

### getGroupByContentList

    public java.util.Vector getGroupByContentList()

### getControl

    public org.eclipse.swt.widgets.Control getControl()

  Specified by:
    `getControl` in class `org.eclipse.jface.viewers.Viewer`

### refreshListBox

    public void refreshListBox()

### convertForDisplay

    public java.lang.String convertForDisplay(java.lang.String label,
                                              org.eclipse.emf.ecore.EObject item)

### refresh

    public void refresh()

  Specified by:
    `refresh` in class `org.eclipse.jface.viewers.Viewer`

### getSelection

    public org.eclipse.jface.viewers.ISelection getSelection()

  Specified by:
    `getSelection` in interface `org.eclipse.jface.viewers.ISelectionProvider`
  Specified by:
    `getSelection` in class `org.eclipse.jface.viewers.Viewer`

### setSelection

    public void setSelection(org.eclipse.jface.viewers.ISelection selection,
                             boolean reveal)

  Specified by:
    `setSelection` in class `org.eclipse.jface.viewers.Viewer`

### createControl

    public org.eclipse.swt.widgets.Control createControl(org.eclipse.swt.widgets.Composite parent)

### updateTypeCombo

    public void updateTypeCombo()

### replaceType

    public void replaceType(java.lang.String type)

### showExpressionBuilder

    public QueryValueExpression showExpressionBuilder(java.lang.Object obj,
                                                      boolean isColumn,
                                                      java.lang.String action)

### setEnabled

    public void setEnabled(boolean enable)